Skip to main content
PATCH
/
org
/
{org}
/
cloudaccount
/
{name}
Perform a Patch on a cloud account by name
curl --request PATCH \
  --url https://api.cpln.io/org/{org}/cloudaccount/{name} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "$drop": [
    "description"
  ],
  "name": "<string>",
  "description": "<string>",
  "tags": {},
  "$replace/tags": {},
  "provider": "aws",
  "$replace/data": {
    "projectId": "<string>"
  },
  "data": {
    "$drop": [
      "projectId"
    ],
    "projectId": "<string>"
  }
}
'
{
  "id": "<string>",
  "name": "<string>",
  "kind": "<string>",
  "version": 123,
  "description": "<string>",
  "tags": {},
  "created": "2023-11-07T05:31:56Z",
  "lastModified": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "provider": "aws",
  "data": {
    "projectId": "<string>"
  },
  "status": {
    "usable": true,
    "lastChecked": "2023-11-07T05:31:56Z",
    "lastError": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
name
string
required

Body

application/json
$drop
enum<string>[]
Available options:
description,
tags,
provider,
data
name
string
Maximum string length: 64
description
string
Maximum string length: 250
tags
object
$replace/tags
object
provider
enum<string>
Available options:
aws,
gcp,
azure,
ngs
$replace/data
object
data
object

Response

Success

id
string
read-only
name
string
Maximum string length: 64
kind
string
read-only
version
integer
read-only
description
string
Maximum string length: 250
tags
object
created
string<date-time>
read-only
lastModified
string<date-time>
read-only
provider
enum<string>
Available options:
aws,
gcp,
azure,
ngs
data
object
status
object
read-only